# 1.5. Show Deployment and Log per Component

This section presents some helper scripts to inspect the status of the deployment and the logs of the components. These
scripts are particularly helpful for troubleshooting during execution of experiments, development, and debugging.


## 1.5.1. Report the deployment of the TFS controller

The summary report given at the end of the [Deploy TFS controller](./1-3-deploy-tfs.md#135-deploy-tfs-controller)
procedure can be generated manually at any time by running the following command. You can avoid sourcing `my_deploy.sh`
if it has been already done.
```bash
cd ~/tfs-ctrl
source my_deploy.sh
./show_deploy.sh
```

Use this script to validate that all the pods, deployments, replica sets, ingress controller, etc. are ready and have
the appropriate state, e.g., "running" for Pods, and the services are deployed and have appropriate IP addresses and
port numbers.


## 1.5.2. Report the log of a specific TFS controller component

A number of scripts are pre-created in the `scripts` folder to facilitate the inspection of the component logs. For
instance, to dump the log of the Context component, run the following command. You can avoid sourcing `my_deploy.sh`
if it has been already done.

```bash
source my_deploy.sh
./scripts/show_logs_context.sh
```
